# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetOperationStatusReq

Packages that use TGetOperationStatusReq
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetOperationStatusReq in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetOperationStatusReq
Modifier and Type
Class
Description
`class`
`TGetOperationStatusReq`
`class`
`TGetOperationStatusReq`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetOperationStatusReq
Modifier and Type
Field
Description
`TGetOperationStatusReq`
TCLIService.GetOperationStatus_args.`req`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetOperationStatusReq
Modifier and Type
Method
Description
`TGetOperationStatusReq`
TGetOperationStatusReq.`deepCopy()`
`TGetOperationStatusReq`
TCLIService.GetOperationStatus_args.`getReq()`
`TGetOperationStatusReq`
TGetOperationStatusReq.`setGetProgressUpdate(boolean getProgressUpdate)`
`TGetOperationStatusReq`
TGetOperationStatusReq.`setOperationHandle(TOperationHandle operationHandle)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetOperationStatusReq
Modifier and Type
Method
Description
`int`
TGetOperationStatusReq.`compareTo(TGetOperationStatusReq other)`
`boolean`
TGetOperationStatusReq.`equals(TGetOperationStatusReq that)`
`void`
TCLIService.AsyncClient.`GetOperationStatus(TGetOperationStatusReq req, org.apache.thrift.async.AsyncMethodCallback<TGetOperationStatusResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetOperationStatus(TGetOperationStatusReq req, org.apache.thrift.async.AsyncMethodCallback<TGetOperationStatusResp> resultHandler)`
`TGetOperationStatusResp`
TCLIService.Client.`GetOperationStatus(TGetOperationStatusReq req)`
`TGetOperationStatusResp`
TCLIService.Iface.`GetOperationStatus(TGetOperationStatusReq req)`
`void`
TCLIService.Client.`send_GetOperationStatus(TGetOperationStatusReq req)`
`TCLIService.GetOperationStatus_args`
TCLIService.GetOperationStatus_args.`setReq(TGetOperationStatusReq req)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetOperationStatusReq
Modifier
Constructor
Description
``
`GetOperationStatus_args(TGetOperationStatusReq req)`
``
`GetOperationStatus_call(TGetOperationStatusReq req, org.apache.thrift.async.AsyncMethodCallback<TGetOperationStatusResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`
``
`TGetOperationStatusReq(TGetOperationStatusReq other)`
Performs a deep copy on other.